# Lead Designer

<p class="description">We are looking for a lead designer to own most of our design work.</p>

## Details of the Role

- Location: Remote (preference for UTC-5 to UTC+4).
- Type of work: Contractor (full-time, convertible to an employee position in the future).
- Start date: Immediately.
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About Us

See the [careers](/company/careers/) and [about us](https://next.material-ui.com/branding/about/) pages.

### Why we're hiring

Both our open-source community, and our premium products are [growing fast](https://www.similarweb.com/website/material-ui.com) (x2-3 YoY). We need talented people to keep that going!

We are aiming to make high-end design accessible to the many, empowering developers that lack access to a designer. We need to make the library visually more appealing (starting with this very page 🙌), support a second theme more aligned with current design trends, implement and extend our new branding, and a lot more.

### Why this is interesting

Material-UI empowers React developers to build awesome applications and websites. Hundreds of thousands of developers use Material-UI every month. Providing functional components isn't enough, far from it. In our [last developers' survey](https://material-ui.com/blog/2020-developer-survey-results/#6-what-are-your-key-criteria-when-choosing-a-ui-library), we have established that the single most important factor for using a UI library is the design. We need to empower developers to build beautiful UIs. 😍.

## About the role

So far we have been relied on the Material Design guidelines to implement great looking components. However, we have reached the point where this is no longer sufficient.

### What you'll do on a day-to-day basis

A few projects you might have worked on if you were part of the team:

- [Rebranding](https://www.figma.com/file/4uv2dT18rXJPZBbrbpw61q/Design-v5-For-first-implementation). We have worked with [Balkan Brothers](https://bb.agency/) to update our branding.
- The update of the components to match the latest Material Design changes.

And more importantly, projects that you might work on once you join:

- A redesign of the documentation.
- The implementation of the new branding, as well as its extension to new marketing pages.
- The update of the components to match the latest Material Design guidelines (as long as can be done with simple CSS changes).
- The design and implementation of a new theme based on the unstyled components.
- The design and implementation of marketing and UI templates. These building blocks will be open source to help developers quickly get started.

## About you

We're looking for someone with an expert eye for visual and UI design. You have enough development skills (CSS-in-JS, JSX) to implement the designed interfaces. Details matter to you.

### Skills you should have

- **Expert-level knowledge of visual design**. You can create great looking UIs. You care about every detail. You can spot a kerning issue without even paying attention.
- **Expert-level knowledge of UI design**. You can build intuitive UIs.
- **Enough development skills to implement the designed interfaces**. Our React engineers are often busy implementing complex components. We are looking for somebody with enough CSS-in-JS and JSX skills to not depend on them to implement the design.
- **Strong written and verbal communication skills**. As part of the team, you'll interface both directly and indirectly with community members and enterprise customers, and contribute to user documentation. Clear communication is fundamental in creating intuitive and compelling resources.

### What would be nice if you had, but isn't required

- **You've contributed to a design system before**. You have worked on a library of components in the past, maybe for internal usage in your company.
- **You have other complementary skills**. We are a tiny team of 6 people. We could use any hidden skills that you might have. Maybe you are great at creating animations, or creating illustrations.

## Compensation

A competitive compensation of up to \$140,000 USD/year, depending on the profile. It could go higher for a person that can significantly push the mission forward. You can find the other perks & benefits in the [careers](/company/careers/#perks-amp-benefits) page.

## Apply

[Apply for this position 📮](https://airtable.com/shr1hZkKnwkrSasx3)
